export function getContextClassForStatus(status) {
    switch (status) {
        case "Killed" /* Killed */:
            return 'success';
        case "NoCoverage" /* NoCoverage */:
            return 'caution'; // custom class
        case "Survived" /* Survived */:
            return 'danger';
        case "Timeout" /* Timeout */:
            return 'warning';
        case "Ignored" /* Ignored */:
        case "RuntimeError" /* RuntimeError */:
        case "CompileError" /* CompileError */:
            return 'secondary';
    }
}
export function getEmojiForStatus(status) {
    switch (status) {
        case "Killed" /* Killed */:
            return '✅';
        case "NoCoverage" /* NoCoverage */:
            return '🙈';
        case "Ignored" /* Ignored */:
            return '🤥';
        case "Survived" /* Survived */:
            return '👽';
        case "Timeout" /* Timeout */:
            return '⌛';
        case "RuntimeError" /* RuntimeError */:
        case "CompileError" /* CompileError */:
            return '💥';
    }
}
export function escapeHtml(unsafe) {
    return unsafe.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;').replace(/'/g, '&#039;');
}
export function toAbsoluteUrl(fragment) {
    // Use absolute url because of https://github.com/stryker-mutator/mutation-testing-elements/issues/53
    const url = new URL(window.location.href);
    return new URL(`#${fragment}`, url).href;
}
//# sourceMappingURL=htmlHelpers.js.map